var
  a: string;
  i, j, t, d: integer;
  fo: text;
begin
  assign(fo, 'input.txt');
  rewrite(fo);
  writeln(fo, 10000);
  d := 1;
  t := 1;
  for i := 1 to 10000 do begin
    if (t = 255) then d := -1;
    if (t = 1) then d := 1;      
    a := '';
    for j := 1 to t do
      a := a + 'a';
    writeln(fo, a);
    inc(t, d);
  end;
  close(fo);
end.